function J = HSCCModel3_Jacobian01(y,theta_bar,n)
p = y(1);
l = y(2);
pe = y(3);
i = y(4);

c1 = 0.41328;
 c2 = -0.366;
 c3 = 0.08979;
 c4 = -0.0337;
 c5 = 0.0001;
 c6 = 2.821;
 c7 = -0.05231;
 c8 = 0.10299;
 c9 = -0.00063;
 c10 = 1.0;
 c11 = 14.7;
 c12 = 0.9;
 c13 = 0.04;
 c14 = 0.14;
% coefficients of polynomial approximations
 c15 = 13.893;
 c16 = -35.2518;
 c17 = 20.7364;
 c18 = 2.6287;
 c19 = -1.592;
 c20 = -2.3421;
 c21 = 2.7799;
 c22 = -0.3273;
% sensors and actuatorerror factor
 c23 = 1.0;
 c24 = 1.0;
 c25 = 1.0;
 c26 = 4.0;
 
 w = n*pi/30;
 mc = c12*(c2+c3*w*p+c4*w*p*p+c5*w*w*p);
 Fc = (1/12.5)*(c2+c3*w*pe+c4*w*pe*pe+c5*pe*w*w);
 
 dmcdp = c12*(c3*w+2*c4*w*p+c5*w*w);
 
 dFcdi = 0;
 dFcdl = 0;
 dFcdpe = (1/12.5)*(c3*w+2*c4*w*pe+c5*w*w);
 
 dpdp = c1*(2*theta_bar*(2*c20*p+c21)-c12*(c3*w+2*c4*w*p+c5*w*w));
 dpedp = c1*(2*c23*(theta_bar)*(2*c20*p+c21));
 dpedpe = c1*(-(c3*w+2*c4*w*pe+c5*w*w));
 didl = c14*c24;
 
 dldp = c26*(c18*dmcdp+c19*c25*Fc*dmcdp);
 dldl = c26*(c16*c25*dFcdl+2*c17*c25*c25*Fc*dFcdl+c19*mc*c25*dFcdl-1);
 dldpe = c26*(c16*c25*dFcdpe+2*c17*c25*c25*Fc*dFcdpe+c19*mc*c25*dFcdpe);
 dldi = c26*(c16*c25*dFcdi+2*c17*c25*c25*Fc*dFcdi+c19*mc*c25*dFcdi);
 
 J = [dpdp 0 0 0;dldp dldl dldpe dldi; dpedp 0 dpedpe 0; 0 didl 0 0];
 